> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update event.

> 
    ROLES: AUTOMATION_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml put /api/v1/automation/event/{eventId}
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/automation/event/{eventId}:
    put:
      tags:
        - Automation
      summary: Update event.
      description: |2-

            ROLES: AUTOMATION_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: AutomationController_updateEvent
      parameters:
        - name: eventId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateJobEventRequestDto'
      responses:
        '201':
          description: OK.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  schemas:
    UpdateJobEventRequestDto:
      type: object
      properties:
        name:
          type: string
          description: Provide name of trigger.
        category:
          type: string
          description: Category.
        desc:
          type: string
          description: Description.
        jobTemplateId:
          type: string
          description: Template Id.
        type:
          type: string
          description: >-
            Type must be one of
            FILE_DELETED,FILE_FINALIZED,FILE_ARCHIVED,SERVICE_ACCOUNT_CREATED,SERVICE_ACCOUNT_UPDATED,SERVICE_ACCOUNT_ACTIVATED,SERVICE_ACCOUNT_DEACTIVATED,SERVICE_ACCOUNT_RESTORED,SERVICE_ACCOUNT_DELETED,USER_CREATED,USER_UPDATED,USER_ACTIVATED,USER_DEACTIVATED,USER_RESTORED,USER_DELETED,ACCOUNT_API_KEY_CREATED,ACCOUNT_API_KEY_UPDATED,ACCOUNT_API_KEY_DELETED
            or starts with CUSTOM_*
          enum:
            - FILE_DELETED
            - FILE_FINALIZED
            - FILE_ARCHIVED
            - SERVICE_ACCOUNT_CREATED
            - SERVICE_ACCOUNT_UPDATED
            - SERVICE_ACCOUNT_ACTIVATED
            - SERVICE_ACCOUNT_DEACTIVATED
            - SERVICE_ACCOUNT_RESTORED
            - SERVICE_ACCOUNT_DELETED
            - USER_CREATED
            - USER_UPDATED
            - USER_ACTIVATED
            - USER_DEACTIVATED
            - USER_RESTORED
            - USER_DELETED
            - ACCOUNT_API_KEY_CREATED
            - ACCOUNT_API_KEY_UPDATED
            - ACCOUNT_API_KEY_DELETED
        version:
          type: number
          description: Version.
      required:
        - version
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````